spring:
  datasource:
    druid:
      url: jdbc:mysql://14.18.122.254:3306/tcl-admin-api-test?useUnicode=true&serverTimezone=Asia/Shanghai&characterEncoding=utf8&autoReconnect=true&useSSL=false&zeroDateTimeBehavior=convertToNull
      username: root
      password: cretin
      initial-size: 1
      min-idle: 1
      max-active: 20
      test-on-borrow: true
      # MySQL 8.x: com.mysql.cj.jdbc.Driver
      driver-class-name: com.mysql.cj.jdbc.Driver
      test-while-idle: true

mybatis-plus:
  mapper-locations: classpath:mapping/*.xml
  type-aliases-package: com.cretin.jokesdb.db
  configuration:
    map-underscore-to-camel-case: true
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl


logging:
  level:
    #打印SQL信息
    com.cretin.tools.mapper: debug

debug: true